Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class RtPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.RtPlugin

Direct Known Subclasses:
  SimpleRtPlugin

    public abstract class RtPlugin

extends GenericPlugin

Nested Class Summary
`protected class` | `RtPlugin.ParsedFile`

Field Summary
`static int` | `APPSERVER`
`static String` | `CONFIG_DONTLOG`
`static String` | `CONFIG_EUINTERVAL`
`static String` | `CONFIG_EULOGDIR`
`static String` | `CONFIG_EULOGMASK`
`static String` | `CONFIG_INTERVAL`
`static String` | `CONFIG_LOGDIR`
`static String` | `CONFIG_LOGMASK`
`static String` | `CONFIG_SVCID`
`static String` | `CONFIG_TRANSFORM`
`static String` | `DEFAULT_INTERVAL`
`static int` | `ENDRTTYPE`
`static int` | `ENDUSER`
`static String` | `LOGFILE_SUFFIX`
`protected BaseLogParser` | `lp`
`static String` | `PARAM_LOG_DIR`
`static int` | `STARTRTTYPE`
`static int` | `UNKNOWN`
`static int` | `WEBSERVER`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`RtPlugin()`

Method Summary
`protected void` | `combineUrls(Hashtable foundNew, Hashtable foundOld, String transforms)`
`abstract String` | `convertFormat(String fmt)`
`void` | `dontLog(Long stat)`
`void` | `dontLog(String url)`
`protected RtPlugin.ParsedFile[]` | `generateFileList(Properties alreadyParsedFiles, String logdir, String logmask)`
`static org.hyperic.util.config.ConfigResponse` | `getConfig(String prefix, String dir)` Get a properly initialized ConfigResponse for ResponseTime feature
`String` | `getEULogFormat(org.hyperic.util.config.ConfigResponse config)`
`String` | `getLogFormat(org.hyperic.util.config.ConfigResponse config)`
`abstract BaseLogParser` | `getParser()`
`abstract int` | `getSvcType()`
`double` | `getTimeMultiplier()`
`Collection` | `getTimes(Integer svcID, Properties alreadyParsedFiles, String logdir, String logmask, String logfmt, int svcType, String transforms, ArrayList noLog, boolean collectIPs)`
`static String` | `getWebAppLogDir(InputStream is)` Get the path to the response time log dir webapp filter param
`void` | `setTimeMultiplier(double t)`
`boolean` | `supportsEndUser()`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getConfigSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, init, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lp

    protected BaseLogParser lp

### CONFIG_SVCID

    public static String CONFIG_SVCID

### CONFIG_TRANSFORM

    public static String CONFIG_TRANSFORM

### CONFIG_DONTLOG

    public static String CONFIG_DONTLOG

### CONFIG_INTERVAL

    public static String CONFIG_INTERVAL

### CONFIG_LOGDIR

    public static String CONFIG_LOGDIR

### CONFIG_LOGMASK

    public static String CONFIG_LOGMASK

### CONFIG_EUINTERVAL

    public static String CONFIG_EUINTERVAL

### CONFIG_EULOGDIR

    public static String CONFIG_EULOGDIR

### CONFIG_EULOGMASK

    public static String CONFIG_EULOGMASK

### PARAM_LOG_DIR

    public static final String PARAM_LOG_DIR

See Also:
  Constant Field Values

### DEFAULT_INTERVAL

    public static final String DEFAULT_INTERVAL

See Also:
  Constant Field Values

### LOGFILE_SUFFIX

    public static final String LOGFILE_SUFFIX

See Also:
  Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### ENDUSER

    public static final int ENDUSER

See Also:
  Constant Field Values

### WEBSERVER

    public static final int WEBSERVER

See Also:
  Constant Field Values

### APPSERVER

    public static final int APPSERVER

See Also:
  Constant Field Values

### STARTRTTYPE

    public static final int STARTRTTYPE

See Also:
  Constant Field Values

### ENDRTTYPE

    public static final int ENDRTTYPE

See Also:
  Constant Field Values

Constructor Detail

### RtPlugin

    public RtPlugin()

Method Detail

### convertFormat

    public abstract String convertFormat(String fmt)

### getSvcType

    public abstract int getSvcType()

### getParser

    public abstract BaseLogParser getParser()

### supportsEndUser

    public boolean supportsEndUser()

### getLogFormat

    public String getLogFormat(org.hyperic.util.config.ConfigResponse config)

### getEULogFormat

    public String getEULogFormat(org.hyperic.util.config.ConfigResponse config)

### dontLog

    public void dontLog(Long stat)

### dontLog

    public void dontLog(String url)

### setTimeMultiplier

    public void setTimeMultiplier(double t)

### getTimeMultiplier

    public double getTimeMultiplier()

### generateFileList

    protected RtPlugin.ParsedFile[] generateFileList(Properties alreadyParsedFiles,
                                                     String logdir,
                                                     String logmask)
                                              throws IOException

  Throws:
    `IOException`

### combineUrls

    protected void combineUrls(Hashtable foundNew,
                               Hashtable foundOld,
                               String transforms)

### getTimes

    public Collection getTimes(Integer svcID,
                               Properties alreadyParsedFiles,
                               String logdir,
                               String logmask,
                               String logfmt,
                               int svcType,
                               String transforms,
                               ArrayList noLog,
                               boolean collectIPs)
                        throws IOException

  Throws:
    `IOException`

### getConfig

    public static org.hyperic.util.config.ConfigResponse getConfig(String prefix,
                                                                   String dir)

  Get a properly initialized ConfigResponse for ResponseTime feature

### getWebAppLogDir

    public static String getWebAppLogDir(InputStream is)

  Get the path to the response time log dir webapp filter param

  Parameters:
    `is` - - an input stream of a webapps web.xml where this filter is defined
  Returns:
    the path to the rtLogDir or null if it was not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.